PlatformConfig      = require("src.GameMgr.Support.PlatformConfig")
TxtReader           = require("src.GameMgr.Support.TxtReader")
LoadingView         = require("src.GameMgr.Support.LoadingView")
CopyMapLoadingMgr   = require("src.GameMgr.Support.CopyMapLoadingMgr")
UnblockLoader       = require("src.GameMgr.Support.UnblockLoader")
BaseFunction        = require("src.GameMgr.Support.BaseFunction")
UserSettings        = require("src.GameMgr.Support.UserSettings")
LuaSqlite           = require("src.GameMgr.Support.LuaSqlite")
GetRandom           = require("src.GameMgr.Support.GetRandom")
GameAudio           = require("src.GameMgr.Support.GameAudio")
iOSFunction         = require("src.GameMgr.Support.iOSFunction")
AndroidFunction     = require("src.GameMgr.Support.AndroidFunction")
OvertimeListener    = require("src.GameMgr.Support.OvertimeListener")
NetInterface        = require("src.GameMgr.Support.NetInterface")
iWatchConnectivity  = require("src.GameMgr.Support.iWatchConnectivity")
QRCodeMgr           = require("src.GameMgr.Support.QRCodeMgr")

DebugInfoMgr        = require("src.GameMgr.DebugInfoMgr")
AnimationMgr        = require("src.GameMgr.AnimationMgr")
Animation3DMgr      = require("src.GameMgr.Animation3DMgr")
CSResourceMgr       = require("src.GameMgr.CSResourceMgr")
CocosModuleMgr      = require("src.GameMgr.CocosModuleMgr")
ViewMgrUtils        = require("src.GameMgr.ViewMgrUtils")

SystemInfo          = require("src.GameMgr.Data.SystemInfo")
CharInfo            = require("src.GameMgr.Data.CharInfo")
QuestInfo           = require("src.GameMgr.Data.QuestInfo")
PokemonInfo         = require("src.GameMgr.Data.PokemonInfo")
AdventureInfo       = require("src.GameMgr.Data.AdventureInfo")
ItemInfo            = require("src.GameMgr.Data.ItemInfo")
ActivityInfo        = require("src.GameMgr.Data.ActivityInfo")
ExperienceInfo      = require("src.GameMgr.Data.ExperienceInfo")
ArenaInfo           = require("src.GameMgr.Data.ArenaInfo")
TeamInfo            = require("src.GameMgr.Data.TeamInfo")
AchievementInfo     = require("src.GameMgr.Data.AchievementInfo")
TerritorialInfo     = require("src.GameMgr.Data.TerritorialInfo")
WorldMapInfo        = require("src.GameMgr.Data.WorldMapInfo")
ExploreInfo         = require("src.GameMgr.Data.ExploreInfo")
HomeInfo            = require("src.GameMgr.Data.HomeInfo")
FamilyInfo          = require("src.GameMgr.Data.FamilyInfo")
FamilyLevelInfo     = require("src.GameMgr.Data.FamilyLevelInfo")
BattleInfo          = require("src.GameMgr.Data.BattleInfo")
FamilyDevoteBufferInfo = require("src.GameMgr.Data.FamilyDevoteBufferInfo")
FamilyMonsterInfo   = require("src.GameMgr.Data.FamilyMonsterInfo")
FamilyAttributeChangeInfo = require("src.GameMgr.Data.FamilyAttributeChangeInfo")
FamilyTransferInfo  = require("src.GameMgr.Data.FamilyTransferInfo")
FamilyAwardInfo     = require("src.GameMgr.Data.FamilyAwardInfo")
FamilyRandomChestInfo = require("src.GameMgr.Data.FamilyRandomChestInfo")
FamilyObstacleInfo  = require("src.GameMgr.Data.FamilyObstacleInfo")
FamilyShopInfo      = require("src.GameMgr.Data.FamilyShopInfo")
TeamCopyInfo        = require("src.GameMgr.Data.TeamCopyInfo")
TeamMonsterInfo     = require("src.GameMgr.Data.TeamMonsterInfo")
TeamObstacleInfo    = require("src.GameMgr.Data.TeamObstacleInfo")
TeamTransferInfo    = require("src.GameMgr.Data.TeamTransferInfo")
TeamFloorInfo       = require("src.GameMgr.Data.TeamFloorInfo")
TeamItemInfo        = require("src.GameMgr.Data.TeamItemInfo")
TeamPickUpItemInfo  = require("src.GameMgr.Data.TeamPickUpItemInfo")
TreasureBoxInfo     = require("src.GameMgr.Data.TreasureBoxInfo")
LostTowerInfo       = require("src.GameMgr.Data.LostTowerInfo")
WorldBossMapInfo    = require("src.GameMgr.Data.WorldBossMapInfo")
WorldBossInfo       = require("src.GameMgr.Data.WorldBossInfo")
SurviveBattleViewMgr= require("src.GameMgr.Activity.SurviveBattleViewMgr")
ActivityShopViewMgr = require("src.GameMgr.Activity.ActivityShopViewMgr")

SystemOptionsMgr    = require("src.GameMgr.Common.SystemOptionsMgr")
TipsMgr             = require("src.GameMgr.Common.TipsMgr")
StandardTipsMgr     = require("src.GameMgr.Common.StandardTipsMgr")
StatusBarMgr        = require("src.GameMgr.Common.StatusBarMgr")
DialogBoxMgr        = require("src.GameMgr.Common.DialogBoxMgr")
GameNoticeMgr       = require("src.GameMgr.Common.GameNoticeMgr")
BasicMenuMgr        = require("src.GameMgr.Common.BasicMenuMgr")
HomeMenuMgr         = require("src.GameMgr.Common.HomeMenuMgr")
LoginViewMgr        = require("src.GameMgr.Common.LoginViewMgr")
LoginMsgMgr         = require("src.GameMgr.Common.LoginMsgMgr")
CreateCharViewMgr   = require("src.GameMgr.Common.CreateCharViewMgr")
ChoosePetViewMgr    = require("src.GameMgr.Common.ChoosePetViewMgr")
GameGuideMgr        = require("src.GameMgr.Common.GameGuideMgr")
HorseLayerMgr       = require("src.GameMgr.Common.HorseLayerMgr")

SceneMgr            = require("src.GameMgr.Map.SceneMgr")
TownMapMgr          = require("src.GameMgr.Map.TownMapMgr")
HomeMapMgr          = require("src.GameMgr.Map.HomeMapMgr")
CopyMapMgr          = require("src.GameMgr.Map.CopyMapMgr")
FamilyCopyMapMgr    = require("src.GameMgr.Map.FamilyCopyMapMgr")
TeamCopyMapMgr      = require("src.GameMgr.Map.TeamCopyMapMgr")
BattleMapMgr        = require("src.GameMgr.Map.BattleMapMgr")
MiniMapMgr          = require("src.GameMgr.Map.MiniMapMgr")
MapSeekerMgr        = require("src.GameMgr.Map.MapSeekerMgr")
WorldMapMgr         = require("src.GameMgr.Map.WorldMapMgr")
WorldMapAwardsMgr   = require("src.GameMgr.Map.WorldMapAwardsMgr")
WorldMapMoveMgr     = require("src.GameMgr.Map.WorldMapMoveMgr")
EmbeddedMapMgr      = require("src.GameMgr.Map.EmbeddedMapMgr")
TownMapBoardMgr     = require("src.GameMgr.Map.TownMapBoardMgr")
IdlingMapMgr        = require("src.GameMgr.Map.IdlingMapMgr")
IdlingMapBoardMgr   = require("src.GameMgr.Map.IdlingMapBoardMgr")
AllWorldMapMgr      = require("src.GameMgr.Map.AllWorldMapMgr")
SearchingMapMgr     = require("src.GameMgr.Map.SearchingMapMgr")
BossMapMgr          = require("src.GameMgr.Map.BossMapMgr")
ExploreMapMgr       = require("src.GameMgr.Map.ExploreMapMgr")

PlayerAnimeMgr      = require("src.GameMgr.Player.PlayerAnimeMgr")
PlayerInfoViewMgr   = require("src.GameMgr.Player.PlayerInfoViewMgr")
PlayerOperationMgr  = require("src.GameMgr.Player.PlayerOperationMgr")
PlayerShareMgr      = require("src.GameMgr.Player.PlayerShareMgr")
TownPlayerListMgr   = require("src.GameMgr.Player.TownPlayerListMgr")
TownPlayerMgr       = require("src.GameMgr.Player.TownPlayerMgr")
WorldPlayerMgr      = require("src.GameMgr.Player.WorldPlayerMgr")
PersonalCenterMgr   = require("src.GameMgr.Player.PersonalCenterMgr")
PokedexMenuViewMgr  = require("src.GameMgr.Player.PokedexMenuViewMgr")
ArenaMainMgr        = require("src.GameMgr.Player.ArenaMainMgr")
ArenaEffectMgr      = require("src.GameMgr.Player.ArenaEffectMgr")
ArenaViewMgr        = require("src.GameMgr.Player.ArenaViewMgr")
ArenaWinViewMgr     = require("src.GameMgr.Player.ArenaWinViewMgr")
ArenaRewardList     = require("src.GameMgr.Player.ArenaRewardList")
ArenaTeamViewMgr    = require("src.GameMgr.Player.ArenaTeamViewMgr")
ArenaExchangeMgr    = require("src.GameMgr.Player.ArenaExchangeMgr")
ArenaRecordMgr      = require("src.GameMgr.Player.ArenaRecordMgr")
ArenaPKViewMgr      = require("src.GameMgr.Player.ArenaPKViewMgr")
LevelUpViewMgr      = require("src.GameMgr.Player.LevelUpViewMgr")
AvatarViewMgr       = require("src.GameMgr.Player.AvatarViewMgr")
CheckViewMgr        = require("src.GameMgr.Player.CheckViewMgr")
FriendsViewMgr      = require("src.GameMgr.Player.FriendsViewMgr")
ExchangeViewMgr     = require("src.GameMgr.Player.ExchangeViewMgr")
LifeSkillLstViewMgr = require("src.GameMgr.Player.LifeSkillLstViewMgr")
LifeSkillSelViewMgr = require("src.GameMgr.Player.LifeSkillSelViewMgr")
LifeSkillJobChangeViewMgr = require("src.GameMgr.Player.LifeSkillJobChangeViewMgr")
LifeSkillFilterPopUp= require("src.GameMgr.Player.LifeSkillFilterPopUp")
LifeSkillBatchMaker = require("src.GameMgr.Player.LifeSkillBatchMaker")
SelectBeautyViewMgr = require("src.GameMgr.Player.SelectBeautyViewMgr")
CreateFamilyMgr     = require("src.GameMgr.Player.CreateFamilyMgr")
FamilyIconMgr       = require("src.GameMgr.Player.FamilyIconMgr")
SearchFamilyMgr     = require("src.GameMgr.Player.SearchFamilyMgr")
FamilyInfoMgr       = require("src.GameMgr.Player.FamilyInfoMgr")
FamilyPlayerViewMgr = require("src.GameMgr.Player.FamilyPlayerViewMgr")
FamilyNpcManagerViewMgr = require("src.GameMgr.Player.FamilyNpcManagerViewMgr")
FamilyQuestListMgr  = require("src.GameMgr.Player.FamilyQuestListMgr")
FamilyFloorInfoMgr  = require("src.GameMgr.Player.FamilyFloorInfoMgr")
FamilyLogViewMgr    = require("src.GameMgr.Player.FamilyLogViewMgr")
FamilyDonateMgr     = require("src.GameMgr.Player.FamilyDonateMgr")
FamilyShopMgr       = require("src.GameMgr.Player.FamilyShopMgr")
FamilyCopyMgr       = require("src.GameMgr.Player.FamilyCopyMgr")
FamilyCopyBonusMgr  = require("src.GameMgr.Player.FamilyCopyBonusMgr")
FamilyCopyEventMgr  = require("src.GameMgr.Player.FamilyCopyEventMgr")
FamilyCopyTopBarMgr = require("src.GameMgr.Player.FamilyCopyTopBarMgr")
TeamCopyTopBarMgr   = require("src.GameMgr.Player.TeamCopyTopBarMgr")
TeamCopyWinMgr      = require("src.GameMgr.Player.TeamCopyWinMgr")
ExploreViewMgr      = require("src.GameMgr.Player.ExploreViewMgr")
TreeInfoView        = require("src.GameMgr.Player.TreeInfoView")
TownTreeMgr         = require("src.GameMgr.Player.TownTreeMgr")
TeamViewMgr         = require("src.GameMgr.Player.TeamViewMgr")
TeamDropMgr         = require("src.GameMgr.Player.TeamDropMgr")
TeamInviteMgr       = require("src.GameMgr.Player.TeamInviteMgr")
ExitGameViewMgr     = require("src.GameMgr.Player.ExitGameViewMgr")
NoticeViewMgr       = require("src.GameMgr.Player.NoticeViewMgr")
BossFailedMgr       = require("src.GameMgr.Player.BossFailedMgr")
BossTopBarMgr       = require("src.GameMgr.Player.BossTopBarMgr")
PlayerTimeViewMgr   = require("src.GameMgr.Player.PlayerTimeViewMgr")

PetInfoViewMgr      = require("src.GameMgr.Pet.PetInfoViewMgr")
PetGetViewMgr       = require("src.GameMgr.Pet.PetGetViewMgr")
BasicPetListMgr     = require("src.GameMgr.Pet.BasicPetListMgr")
PokedexMgr          = require("src.GameMgr.Pet.PokedexMgr")
PetMenuMgr          = require("src.GameMgr.Pet.PetMenuMgr")
PetEvolutionMgr     = require("src.GameMgr.Pet.PetEvolutionMgr")
PetStrengthenMgr    = require("src.GameMgr.Pet.PetStrengthenMgr")
PetFormationMgr     = require("src.GameMgr.Pet.PetFormationMgr")
PetFeedViewMgr      = require("src.GameMgr.Pet.PetFeedViewMgr")
PetEducationMgr     = require("src.GameMgr.Pet.PetEducationMgr")
PetChangeNameMgr    = require("src.GameMgr.Pet.PetChangeNameMgr")
PetQuickViewMgr     = require("src.GameMgr.Pet.PetQuickViewMgr")
PetExploreMgr       = require("src.GameMgr.Pet.PetExploreMgr")
PetExploreInfoMgr   = require("src.GameMgr.Pet.PetExploreInfoMgr")
PetExploreRewardsMgr= require("src.GameMgr.Pet.PetExploreRewardsMgr")
PetListMgr          = require("src.GameMgr.Pet.PetListMgr")
PetFreeListMgr      = require("src.GameMgr.Pet.PetFreeListMgr")
PetStarUpMgr        = require("src.GameMgr.Pet.PetStarUpMgr")
PetStarupEffectMgr  = require("src.GameMgr.Pet.PetStarupEffectMgr")
PetEvolutionEffectMgr= require("src.GameMgr.Pet.PetEvolutionEffectMgr")
PetEffectMgr        = require("src.GameMgr.Pet.PetEffectMgr")
PetFCEffectMgr      = require("src.GameMgr.Pet.PetFCEffectMgr")
PetCommonListViewMgr= require("src.GameMgr.Pet.PetCommonListViewMgr")
PetSkillIconMgr     = require("src.GameMgr.Pet.PetSkillIconMgr")
PetSkillViewMgr     = require("src.GameMgr.Pet.PetSkillViewMgr")
PetEatPetViewMgr	= require("src.GameMgr.Pet.PetEatPetViewMgr")
TipsViewMgr      	= require("src.GameMgr.Pet.TipsViewMgr")
CommonPetBar        = require("src.GameMgr.Pet.CommonPetBar")
BattleManualMgr     = require("src.GameMgr.Pet.BattleManualMgr")
PetStarupResetViewMgr= require("src.GameMgr.Pet.PetStarupResetViewMgr")
PetQuickTrainViewMgr= require("src.GameMgr.Pet.PetQuickTrainViewMgr")

BagViewMgr          = require("src.GameMgr.Item.BagViewMgr")
ActivityPublicjMgr  = require("src.GameMgr.Item.ActivityPublicjMgr")
ActivityViewMgr     = require("src.GameMgr.Item.ActivityViewMgr")
CollectPetActivityViewMgr     = require("src.GameMgr.Item.CollectPetActivityViewMgr")
ActivityHalloweenViewMgr = require("src.GameMgr.Item.ActivityHalloweenViewMgr")
HalloweenCapsuleEggView = require("src.GameMgr.Item.HalloweenCapsuleEggView")
ActivityCapsuleEggView = require("src.GameMgr.Item.ActivityCapsuleEggView")
ActivitySnatch 		= require("src.GameMgr.Item.ActivitySnatch")
RechargeViewMgr     = require("src.GameMgr.Item.RechargeViewMgr")
SkillBookViewMgr    = require("src.GameMgr.Item.SkillBookViewMgr")
FurnitureViewMgr    = require("src.GameMgr.Item.FurnitureViewMgr")
FurnitureTVMgr      = require("src.GameMgr.Item.FurnitureTVMgr")
FurnitureSofaMgr    = require("src.GameMgr.Item.FurnitureSofaMgr")
ItemInfoViewMgr     = require("src.GameMgr.Item.ItemInfoViewMgr")
ItemNumViewMgr      = require("src.GameMgr.Item.ItemNumViewMgr")
ShopListMgr         = require("src.GameMgr.Item.ShopListMgr")
AuctionMgr          = require("src.GameMgr.Item.AuctionMgr")
PurchaseViewMgr     = require("src.GameMgr.Item.PurchaseViewMgr")
VipShopViewMgr      = require("src.GameMgr.Item.VipShopViewMgr")
MailMgr             = require("src.GameMgr.Item.MailMgr")
AwardsListMgr       = require("src.GameMgr.Item.AwardsListMgr")
GachaViewMgr        = require("src.GameMgr.Item.GachaViewMgr")
AuctionMgrNew       = require("src.GameMgr.Item.AuctionMgrNew")
BuyInfoMgr          = require("src.GameMgr.Item.BuyInfoMgr")
SellInfoMgr         = require("src.GameMgr.Item.SellInfoMgr")
AuctionSearch       = require("src.GameMgr.Item.AuctionSearch")
BuyInfoMgr2         = require("src.GameMgr.Item.BuyInfoMgr2")
BuyItemViewMgr      = require("src.GameMgr.Item.BuyItemViewMgr")
DropInfoViewMgr     = require("src.GameMgr.Item.DropInfoViewMgr")
TrainStoneMgr       = require("src.GameMgr.Item.TrainStoneMgr")
BossDmgAwardsMgr    = require("src.GameMgr.Item.BossDmgAwardsMgr")

BattleMgr           = require("src.GameMgr.Battle.BattleMgr")
BattleUIMgr         = require("src.GameMgr.Battle.BattleUIMgr")
BattleSkill         = require("src.GameMgr.Battle.BattleSkill") 
BattleBuffer        = require("src.GameMgr.Battle.BattleBuffer")
BattlePassiveSkills = require("src.GameMgr.Battle.BattlePassiveSkills") 
BattlePVPMgr        = require("src.GameMgr.Battle.BattlePVPMgr")
BattleFuncMgr       = require("src.GameMgr.Battle.BattleFuncMgr")
BattleBasicValueCalc= require("src.GameMgr.Battle.BattleBasicValueCalc")
BattleCCSB    	    = require("src.GameMgr.Battle.BattleCCSB")
BattleLabelAtlas  	= require("src.GameMgr.Battle.BattleLabelAtlas")
BattleCANI    	    = require("src.GameMgr.Battle.BattleCANI")
BattleBufferUI    	= require("src.GameMgr.Battle.BattleBufferUI") 
BattleCotroller   	= require("src.GameMgr.Battle.BattleCotroller")
BattleGuide         = require("src.GameMgr.Battle.BattleGuide")
BattleTemplateData  = require("src.GameMgr.Battle.templates.BattleTemplateData")
BattleTemplate      = require("src.GameMgr.Battle.templates.BattleTemplate")
ExtraAttackBase     = require("src.GameMgr.Battle.templates.ExtraAttackBase")
Skill               = require("src.GameMgr.Battle.Skill")
Buff                = require("src.GameMgr.Battle.Buff")
Pet                 = require("src.GameMgr.Battle.Pet")
Team                = require("src.GameMgr.Battle.Team")
AttributeStarImproveInfoConfig = require("src.DatReader.AttributeStarImproveInfoConfig")
HDVector            = require("src.Utils.HDVector")
BattleAidFunc       = require("src.GameMgr.Battle.BattleAidFunc")
require("src.GameMgr.Battle.templates.BattleTemplateTypes")

ConfraListViewMgr   = require("src.GameMgr.Confraternity.ConfraListViewMgr")
ConfraInfoViewMgr   = require("src.GameMgr.Confraternity.ConfraInfoViewMgr")

ChatUIMgr           = require("src.GameMgr.Chat.ChatUIMgr")
ChatBubbleMgr       = require("src.GameMgr.Chat.ChatBubbleMgr")
ChatMsgMgr          = require("src.GameMgr.Chat.ChatMsgMgr")
TownChatMgr         = require("src.GameMgr.Chat.TownChatMgr")
PetShareDetail      = require("src.GameMgr.Chat.PetShareDetail")
MsgBoardView        = require("src.GameMgr.Chat.MsgBoardView")

NpcDialogueMgr      = require("src.GameMgr.Mission.NpcDialogueMgr")
MissionGuideMgr     = require("src.GameMgr.Mission.MissionGuideMgr")
MissionInfoMgr      = require("src.GameMgr.Mission.MissionInfoMgr")
TownMissionMgr      = require("src.GameMgr.Mission.TownMissionMgr")
NpcMgr              = require("src.GameMgr.Mission.NpcMgr")
MissionListMgr      = require("src.GameMgr.Mission.MissionListMgr")
AchievementListMgr  = require("src.GameMgr.Mission.AchievementListMgr")

SearchingMgr        = require("src.GameMgr.Searching.SearchingMgr")
SearchingUIMgr      = require("src.GameMgr.Searching.SearchingUIMgr") 
AdvStarMgr          = require("src.GameMgr.Searching.AdvStarMgr")
AdvPetsMgr          = require("src.GameMgr.Searching.AdvPetsMgr")
SearchingFuncMgr    = require("src.GameMgr.Searching.SearchingFuncMgr")
AdvCharMgr          = require("src.GameMgr.Searching.AdvCharMgr")
AdvConfirmMgr       = require("src.GameMgr.Searching.AdvConfirmMgr")
StageBossListMgr    = require("src.GameMgr.Searching.StageBossListMgr")
AdvConfirmMgrNew    = require("src.GameMgr.Searching.AdvConfirmMgrNew")
AdvEnvironmentMgr   = require("src.GameMgr.Searching.AdvEnvironmentMgr")
advResetView        = require("src.GameMgr.Searching.advResetView")

LostTowerMgr        = require("src.GameMgr.LostTower.LostTowerMgr")
LtMapOption         = require("src.GameMgr.LostTower.LtMapOption")
LtEventOption       = require("src.GameMgr.LostTower.LtEventOption")
LtMapNodeMgr        = require("src.GameMgr.LostTower.LtMapNodeMgr")
LtPlayerMgr         = require("src.GameMgr.LostTower.LtPlayerMgr")
LostTowerUIMgr      = require("src.GameMgr.LostTower.LostTowerUIMgr")
LtFuncMgr           = require("src.GameMgr.LostTower.LtFuncMgr")
LtPetsMgr           = require("src.GameMgr.LostTower.LtPetsMgr")
LtPropMgr           = require("src.GameMgr.LostTower.LtPropMgr")
LtHealViewMgr       = require("src.GameMgr.LostTower.LtHealViewMgr")
LtRankingViewMgr    = require("src.GameMgr.LostTower.LtRankingViewMgr")
LtExchangeViewMgr   = require("src.GameMgr.LostTower.LtExchangeViewMgr")
LtResetViewMgr      = require("src.GameMgr.LostTower.LtResetViewMgr")
LtPickPetViewMgr    = require("src.GameMgr.LostTower.LtPickPetViewMgr")
LtWarFogMgr         = require("src.GameMgr.LostTower.LtWarFogMgr")
LtOpenBoxView       = require("src.GameMgr.LostTower.LtOpenBoxView")
LtTransferViewMgr   = require("src.GameMgr.LostTower.LtTransferViewMgr")
LtStepAddView       = require("src.GameMgr.LostTower.LtStepAddView")
LtExBufferMgr       = require("src.GameMgr.LostTower.LtExBufferMgr")
LtChangeFloorView   = require("src.GameMgr.LostTower.LtChangeFloorView")
LtRankAwardList     = require("src.GameMgr.LostTower.LtRankAwardList")

FamilyListViewMgr   = require("src.GameMgr.Player.FamilyListViewMgr")
MyFamilyLstViewMgr  = require("src.GameMgr.Player.MyFamilyLstViewMgr")
FamilyApplyListViewMgr = require("src.GameMgr.Player.FamilyApplyListViewMgr")
FamilyTransListViewMgr = require("src.GameMgr.Player.FamilyTransListViewMgr")
PetHandBook         = require("src.GameMgr.Pet.PetHandBook")
ObjectPool          = require("src.GameMgr.ObjectPool")
PerFormanceAnalyzer = require("src.Utils.PerFormaceAnalyzer")
DungeonMapMgr       = require("src.GameMgr.CommonDungeon.DungeonMapMgr")
DungeonPlayerMgr    = require("src.GameMgr.CommonDungeon.DungeonPlayerMgr")
HighPerformList     = require("src.GameMgr.Support.HighPerformList")
VoiceManager        = require("src.GameMgr.Support.Voice.VoiceManager")
XFangCunLogSender   = require("src.Utils.XFangCunLogSender")
PayConfig           = require("src.Utils.pay.PayConfig")
GameLogMgr          = require("src.GameMgr.GameLogMgr")
UIStack             = require("src.GameMgr.UIStack")
BattleLogConfig     = require("src.LogConfig")
ProtoErrorTransferText  = require("src.GameMgr.ProtoErrorTransferText")
TaskWatcherManager  =   require("src.GameMgr.TaskWatcher.TaskWatcherManager")
SevenDayPetData     =   require("src.GameMgr.TaskWatcher.SevenDayPetData")
SevenDayFuBenData   =   require("src.GameMgr.TaskWatcher.SevenDayFuBenData")
SevenDayRedPointManager = require("src.GameMgr.TaskWatcher.SevenDayRedPointManager")
BossBattleMgr           = require("src.GameMgr.Battle.BossBattleMgr")
PVPQuestListMgr  = require("src.GameMgr.Player.PVPQuestListMgr")
PVPQuestShopMgr  = require("src.GameMgr.Player.PVPQuestShopMgr")
PVPQuestRank  = require("src.GameMgr.Player.PVPQuestRank")

PetTrainPointsInfo = require("src.GameMgr.Data.PetTrainPointsInfo")
petTrainLimitMaterialView = require("src.GameMgr.Pet.petTrainLimitMaterialView")

FaceBookFriendViewMgr      = require("src.GameMgr.FaceBook.FaceBookFriendViewMgr")
GameInit = {}
DEFAULT_GAME_SCREEN_WIDTH = 640
DEFAULT_GAME_SCREEN_HEIGHT = 960

---初始化游戏
--@param isReInit bool 是否是重新初始化(首次调用可不填，第二次调用请务必填true)
function GameInit.Init(isReInit,progressbar,endcallback)
    LoginViewMgr.isKickByServer = 0
	BattleLogConfig.configPrerequisites()
	BattleLogConfig.roundResult = false
	BattleLogConfig.passiveSkillTrigger = false
	BattleLogConfig.skillDesc = false


    if CONFIG_SCREEN_AUTOSCALE=="FIXED_WIDTH" then
        DEFAULT_GAME_SCREEN_WIDTH = 640
        DEFAULT_GAME_SCREEN_HEIGHT = 960
    else
        DEFAULT_GAME_SCREEN_WIDTH = 960
        DEFAULT_GAME_SCREEN_HEIGHT = 640
    end

    UnblockLoader.Init()    
    PerFormanceAnalyzer.Init() --性能分析器
    local function func0()
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(1)
        end 
    end

    local function funcend()
        PerFormanceAnalyzer.Start("root","GameInit-Init()")

        PerFormanceAnalyzer.Start("GameInit-Init()","BattleInfo-init()")
        BattleInfo.Init()
        PerFormanceAnalyzer.End("BattleInfo-init()")    
        

        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(100)
        end 
    end

    local function func1()
    
        PerFormanceAnalyzer.Start("GameInit-Init()","ObjectPool-init()")
        ObjectPool.init() --这个必须在第一个初始化
        PerFormanceAnalyzer.End("ObjectPool-init()")

        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(2)
        end 
    end
 
    local function func2()
        PerFormanceAnalyzer.Start("GameInit-Init()","PlatformConfig.Init()")   
        PlatformConfig.Init()
        PerFormanceAnalyzer.End("PlatformConfig.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(5)
        end 
    end
    
    local function func3()
        PerFormanceAnalyzer.Start("GameInit-Init()","TxtReader.Init()")
        TxtReader.Init()
        PerFormanceAnalyzer.End("TxtReader.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(6)
        end    
    end
    
    local function func4()
        PerFormanceAnalyzer.Start("GameInit-Init()","LoadingView.Init()")   
        LoadingView.Init()
        PerFormanceAnalyzer.End("LoadingView.Init()")  
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(7)
        end    
    end

    local function func5()
        PerFormanceAnalyzer.Start("GameInit-Init()","CopyMapLoadingMgr.Init()")   
        CopyMapLoadingMgr.Init()
        PerFormanceAnalyzer.End("CopyMapLoadingMgr.Init()")  
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(10)
        end    
    end

    local function func6()
        PerFormanceAnalyzer.Start("GameInit-Init()","BaseFunction.Init()")         
        BaseFunction.Init()
        PerFormanceAnalyzer.End("BaseFunction.Init()")   
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(15)
        end      
    end

    local function func7()
        PerFormanceAnalyzer.Start("GameInit-Init()","UserSettings.Init()")        
        UserSettings.Init()
        PerFormanceAnalyzer.End("UserSettings.Init()")  

        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(20)
        end 
    end

    local function func8()
        PerFormanceAnalyzer.Start("GameInit-Init()","LuaSqlite.Init()")         
        LuaSqlite.Init()
        PerFormanceAnalyzer.End("LuaSqlite.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(25)
        end 
    end

    local function func9()
        PerFormanceAnalyzer.Start("GameInit-Init()","GetRandom.Init()")         
        GetRandom.Init()
        PerFormanceAnalyzer.End("GetRandom.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(27)
        end 
    end

    local function func10()
        PerFormanceAnalyzer.Start("GameInit-Init()","GameAudio.Init()")       
        GameAudio.Init()
        PerFormanceAnalyzer.End("GameAudio.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(30)
        end 
    end

    local function func11()
        PerFormanceAnalyzer.Start("GameInit-Init()","iOSFunction.Init()")            
        iOSFunction.Init()
        PerFormanceAnalyzer.End("iOSFunction.Init()") 

        PerFormanceAnalyzer.Start("GameInit-Init()","AndroidFunction.Init()")       
        AndroidFunction.Init()
        PerFormanceAnalyzer.End("AndroidFunction.Init()")   

        PerFormanceAnalyzer.Start("GameInit-Init()","VoiceManager.Init()")
        VoiceManager.Init()
        PerFormanceAnalyzer.End("VoiceManager.Init()")

        PerFormanceAnalyzer.Start("GameInit-Init()","OvertimeListener.Init()")      
        OvertimeListener.Init()
        PerFormanceAnalyzer.End("OvertimeListener.Init()")     
       
        NetInterface.Init()
        iWatchConnectivity.Init()
        QRCodeMgr.Init()
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(32)
        end 
    end

    local function func12()
        if not isReInit then
            PerFormanceAnalyzer.Start("GameInit-Init()","AnimationMgr.Init()")   
            AnimationMgr.Init()
            PerFormanceAnalyzer.End("AnimationMgr.Init()")  
            PerFormanceAnalyzer.Start("GameInit-Init()","Animation3DMgr.Init()") 
            Animation3DMgr.Init()
            PerFormanceAnalyzer.End("Animation3DMgr.Init()") 
            PerFormanceAnalyzer.Start("GameInit-Init()","CSResourceMgr.Init()") 
            CSResourceMgr.Init()
            PerFormanceAnalyzer.End("CSResourceMgr.Init()") 
        end
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(35)
        end 
    end
    
    local function func13()
        PerFormanceAnalyzer.Start("GameInit-Init()","CocosModuleMgr.Init()") 
        CocosModuleMgr.Init()
        PerFormanceAnalyzer.End("CocosModuleMgr.Init()")    
    
        PerFormanceAnalyzer.Start("GameInit-Init()","SystemInfo.Init()")     
        SystemInfo.Init()
        PerFormanceAnalyzer.End("SystemInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(36)
        end 
    end
    
    local function func14()
        PerFormanceAnalyzer.Start("GameInit-Init()","CharInfo.Init()")     
        CharInfo.Init()
        PerFormanceAnalyzer.End("CharInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(40)
        end   
    end
    
    local function func15()
        PerFormanceAnalyzer.Start("GameInit-Init()","QuestInfo.Init()")          
        QuestInfo.Init()
        PerFormanceAnalyzer.End("QuestInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(50)
        end 
    end

    local function func16()
        PerFormanceAnalyzer.Start("GameInit-Init()","PokemonInfo.Init()")      
        PokemonInfo.Init()
        PerFormanceAnalyzer.End("PokemonInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(55)
        end 
    end

    local function func17()
        PerFormanceAnalyzer.Start("GameInit-Init()","AdventureInfo.Init()")    
        AdventureInfo.Init()
        PerFormanceAnalyzer.End("AdventureInfo.Init()") 
    
        PerFormanceAnalyzer.Start("GameInit-Init()","ItemInfo.Init()")      
        ItemInfo.Init()
        PerFormanceAnalyzer.End("ItemInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(60)
        end 
    end

    local function func18()
        PerFormanceAnalyzer.Start("GameInit-Init()","ActivityInfo.Init()")      
        ActivityInfo.Init()
        PerFormanceAnalyzer.End("ActivityInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(62)
        end 
    end
    
    local function func19()
        PerFormanceAnalyzer.Start("GameInit-Init()","ExperienceInfo.Init()")  
        ExperienceInfo.Init()
        PerFormanceAnalyzer.End("ExperienceInfo.Init()") 
   
  
        PerFormanceAnalyzer.Start("GameInit-Init()","ArenaInfo.Init()")    
        ArenaInfo.Init()
        TeamInfo.Init()
        PerFormanceAnalyzer.End("ArenaInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(63)
        end 
    end
    
    local function func20()
        PerFormanceAnalyzer.Start("GameInit-Init()","AchievementInfo.Init()")     
        AchievementInfo.Init()
        PerFormanceAnalyzer.End("AchievementInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(66)
        end 
    end
    
    local function func21()
        PerFormanceAnalyzer.Start("GameInit-Init()","TerritorialInfo.Init()")
        TerritorialInfo.Init()
        PerFormanceAnalyzer.End("TerritorialInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(68)
        end 
    end
    
    local function func22()
        PerFormanceAnalyzer.Start("GameInit-Init()","WorldMapInfo.Init()")    
        WorldMapInfo.Init()
        PerFormanceAnalyzer.End("WorldMapInfo.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(70)
        end 
    end

    local function func23()
        PerFormanceAnalyzer.Start("GameInit-Init()","ExploreInfo.Init()")      
        ExploreInfo.Init()
        PerFormanceAnalyzer.End("ExploreInfo.Init()")
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(72)
        end 
    end

    local function func24()
        PerFormanceAnalyzer.Start("GameInit-Init()","HomeInfo.Init()")      
        HomeInfo.Init()
        PerFormanceAnalyzer.End("HomeInfo.Init()")
    
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyInfo.Init()")  
        FamilyInfo.Init()
        PerFormanceAnalyzer.End("FamilyInfo.Init()")
    
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyLevelInfo.Init()")  
        FamilyLevelInfo.Init()
        PerFormanceAnalyzer.End("FamilyLevelInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyDevoteBufferInfo.Init()") 
        FamilyDevoteBufferInfo.Init()
        PerFormanceAnalyzer.End("FamilyDevoteBufferInfo.Init()")
    
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyMonsterInfo.Init()") 
        FamilyMonsterInfo.Init()
        PerFormanceAnalyzer.End("FamilyMonsterInfo.Init()")
    
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyAttributeChangeInfo.Init()") 
        FamilyAttributeChangeInfo.Init()
        PerFormanceAnalyzer.End("FamilyAttributeChangeInfo.Init()")
    
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyTransferInfo.Init()")
        FamilyTransferInfo.Init()
        PerFormanceAnalyzer.End("FamilyTransferInfo.Init()")
    
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyAwardInfo.Init()")
        FamilyAwardInfo.Init()
        PerFormanceAnalyzer.End("FamilyAwardInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyRandomChestInfo.Init()")
        FamilyRandomChestInfo.Init()
        PerFormanceAnalyzer.End("FamilyRandomChestInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyObstacleInfo.Init()")
        FamilyObstacleInfo.Init()
        PerFormanceAnalyzer.End("FamilyObstacleInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","FamilyShopInfo.Init()")
        FamilyShopInfo.Init()
        PerFormanceAnalyzer.End("FamilyShopInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","TeamCopyInfo.Init()")
        TeamCopyInfo.Init()
        PerFormanceAnalyzer.End("TeamCopyInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","TeamMonsterInfo.Init()") 
        TeamMonsterInfo.Init()
        PerFormanceAnalyzer.End("TeamMonsterInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","TeamObstacleInfo.Init()")
        TeamObstacleInfo.Init()
        PerFormanceAnalyzer.End("TeamObstacleInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","TeamTransferInfo.Init()")
        TeamTransferInfo.Init()
        PerFormanceAnalyzer.End("TeamTransferInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","TeamFloorInfo.Init()")
        TeamFloorInfo.Init()
        PerFormanceAnalyzer.End("TeamFloorInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","TeamItemInfo.Init()")
        TeamItemInfo.Init()
        PerFormanceAnalyzer.End("TeamItemInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","TeamPickUpItemInfo.Init()")
        TeamPickUpItemInfo.Init()
        PerFormanceAnalyzer.End("TeamPickUpItemInfo.Init()")
        
        PerFormanceAnalyzer.Start("GameInit-Init()","TreasureBoxInfo.Init()")
        TreasureBoxInfo.Init()
        PerFormanceAnalyzer.End("TreasureBoxInfo.Init()")
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(75)
        end 
    end

    local function func25()
        PerFormanceAnalyzer.Start("GameInit-Init()","AllWorldMapMgr.Init()")     
        AllWorldMapMgr.Init()
        PerFormanceAnalyzer.End("AllWorldMapMgr.Init()")

        PerFormanceAnalyzer.Start("GameInit-Init()","SystemOptionsMgr.Init()")          
        SystemOptionsMgr.Init()
        PerFormanceAnalyzer.End("SystemOptionsMgr.Init()")

        PerFormanceAnalyzer.Start("GameInit-Init()","TipsMgr.Init()")         
        TipsMgr.Init()
        PerFormanceAnalyzer.End("TipsMgr.Init()")
    
        PerFormanceAnalyzer.Start("GameInit-Init()","StandardTipsMgr.Init()")     
        StandardTipsMgr.Init()
        PerFormanceAnalyzer.End("StandardTipsMgr.Init()")
    
        PerFormanceAnalyzer.Start("GameInit-Init()","StatusBarMgr.Init()")      
        StatusBarMgr.Init()
        PerFormanceAnalyzer.End("StatusBarMgr.Init()")
    
        PerFormanceAnalyzer.Start("GameInit-Init()","DialogBoxMgr.Init()")      
        DialogBoxMgr.Init()
        PerFormanceAnalyzer.End("DialogBoxMgr.Init()")
        PerFormanceAnalyzer.Start("GameInit-Init()","GameNoticeMgr.Init()") 
        GameNoticeMgr.Init()
        PerFormanceAnalyzer.End("GameNoticeMgr.Init()") 
       
        PerFormanceAnalyzer.Start("GameInit-Init()","BasicMenuMgr.Init()") 
        BasicMenuMgr.Init()
        PerFormanceAnalyzer.End("BasicMenuMgr.Init()") 
  
        PerFormanceAnalyzer.Start("GameInit-Init()","HomeMenuMgr.Init()")   
        HomeMenuMgr.Init()
        PerFormanceAnalyzer.End("HomeMenuMgr.Init()") 
    
        PerFormanceAnalyzer.Start("GameInit-Init()","LoginViewMgr.Init()")   
        LoginViewMgr.Init()
        PerFormanceAnalyzer.End("LoginViewMgr.Init()") 
 
        PerFormanceAnalyzer.Start("GameInit-Init()","LoginMsgMgr.Init()")     
        LoginMsgMgr.Init()
        PerFormanceAnalyzer.End("LoginMsgMgr.Init()") 
    
        PerFormanceAnalyzer.Start("GameInit-Init()","CreateCharViewMgr.Init()")       
        CreateCharViewMgr.Init()
        PerFormanceAnalyzer.End("CreateCharViewMgr.Init()") 
 
        PerFormanceAnalyzer.Start("GameInit-Init()","ChoosePetViewMgr.Init()")     
        ChoosePetViewMgr.Init()
        PerFormanceAnalyzer.End("ChoosePetViewMgr.Init()") 
    
        PerFormanceAnalyzer.Start("GameInit-Init()","GameGuideMgr.Init()")     
        GameGuideMgr.Init()
        PerFormanceAnalyzer.End("GameGuideMgr.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(80)
        end 
    end

    local function func26()
        HorseLayerMgr.Init()
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(85)
        end 
    end

    local function func27()
        PerFormanceAnalyzer.Start("GameInit-Init()","left1.Init()")        
        SceneMgr.Init()
        TownMapMgr.Init()
        HomeMapMgr.Init()
        CopyMapMgr.Init()
        FamilyCopyMapMgr.Init()
        TeamCopyMapMgr.Init()
        BattleMapMgr.Init()
        MiniMapMgr.Init()
        MapSeekerMgr.Init()
        WorldMapMgr.Init()
        WorldMapAwardsMgr.Init()
        WorldMapMoveMgr.Init()
        EmbeddedMapMgr.Init()
        TownMapBoardMgr.Init()
        IdlingMapBoardMgr.Init()
        IdlingMapMgr.Init()
        SearchingMapMgr.Init()
        BossMapMgr.Init()
        ExploreMapMgr.Init()
        PerFormanceAnalyzer.End("left1.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(86)
        end 
    end
       
    local function func28()
        PerFormanceAnalyzer.Start("GameInit-Init()","player.Init()")   
        PlayerAnimeMgr.Init()
        PlayerInfoViewMgr.Init()
        PlayerOperationMgr.Init()
        PlayerShareMgr.Init()
        TownPlayerListMgr.Init()
        TownPlayerMgr.Init()
        PersonalCenterMgr.Init()
        PokedexMenuViewMgr.Init()
        ArenaMainMgr.Init()
        ArenaViewMgr.Init()
        ArenaWinViewMgr.Init()
        ArenaRewardList.Init()
        ArenaTeamViewMgr.Init()
        ArenaExchangeMgr.Init()
        ArenaRecordMgr.Init()
        ArenaPKViewMgr.Init()
        LevelUpViewMgr.Init()
        AvatarViewMgr.Init()
    
        PerFormanceAnalyzer.Start("player.Init()","CheckViewMgr.Init()")  
        CheckViewMgr.Init()
        PerFormanceAnalyzer.End("CheckViewMgr.Init()") 
        FriendsViewMgr.Init()
        ExchangeViewMgr.Init()
        LifeSkillLstViewMgr.Init()
        LifeSkillSelViewMgr.Init()
        LifeSkillJobChangeViewMgr.Init()
        LifeSkillFilterPopUp.Init()
        LifeSkillBatchMaker.Init()
        SelectBeautyViewMgr.Init()
        CreateFamilyMgr.Init()
        FamilyIconMgr.Init()
        SearchFamilyMgr.Init()
        FamilyInfoMgr.Init()
        FamilyPlayerViewMgr.Init()
        FamilyNpcManagerViewMgr.Init()
        FamilyQuestListMgr.Init()
        FamilyFloorInfoMgr.Init()
        FamilyLogViewMgr.Init()
        FamilyCopyMgr.Init()
        FamilyDonateMgr.Init()
        FamilyShopMgr.Init()
        FamilyCopyBonusMgr.Init()
        FamilyCopyEventMgr.Init()
        FamilyCopyTopBarMgr.Init()
        TeamCopyTopBarMgr.Init()
        TeamCopyWinMgr.Init()
        ExploreViewMgr.Init()
        TreeInfoView.Init()
        TownTreeMgr.Init()
        TeamViewMgr.Init()
        TeamDropMgr.Init()
        TeamInviteMgr.Init()
        ExitGameViewMgr.Init()
		FaceBookFriendViewMgr.Init()
        PVPQuestListMgr.Init()
        PVPQuestShopMgr.Init()
        PVPQuestRank.Init()        PerFormanceAnalyzer.End("player.Init()") 
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(87)
        end 
    end

    local function func29()
        PerFormanceAnalyzer.Start("GameInit-Init()","pet.Init()") 
        PerFormanceAnalyzer.Start("pet.Init()","PetInfoViewMgr.Init()") 
        PetInfoViewMgr.Init()
        PerFormanceAnalyzer.End("PetInfoViewMgr.Init()")
        
        PerFormanceAnalyzer.Start("pet.Init()","PetGetViewMgr.Init()") 
        PetGetViewMgr.Init()
        PerFormanceAnalyzer.End("PetGetViewMgr.Init()")
    
        PerFormanceAnalyzer.Start("pet.Init()","BasicPetListMgr.Init()")     
        BasicPetListMgr.Init()
        PerFormanceAnalyzer.End("BasicPetListMgr.Init()")
    
        PerFormanceAnalyzer.Start("pet.Init()","PokedexMgr.Init()")     
        PokedexMgr.Init()
        PerFormanceAnalyzer.End("PokedexMgr.Init()")
        
        PerFormanceAnalyzer.Start("pet.Init()","PetMenuMgr.Init()")     
        PetMenuMgr.Init()
        PerFormanceAnalyzer.End("PetMenuMgr.Init()")
    
        PerFormanceAnalyzer.Start("pet.Init()","PetEvolutionMgr.Init()")      
        PetEvolutionMgr.Init()
        PerFormanceAnalyzer.End("PetEvolutionMgr.Init()")
     
        PerFormanceAnalyzer.Start("pet.Init()","PetStrengthenMgr.Init()")    
        PetStrengthenMgr.Init()
        PerFormanceAnalyzer.End("PetStrengthenMgr.Init()")
    
        PerFormanceAnalyzer.Start("pet.Init()","PetFormationMgr.Init()")     
        PetFormationMgr.Init()
        PerFormanceAnalyzer.End("PetFormationMgr.Init()")
    
        PerFormanceAnalyzer.Start("pet.Init()","PetFeedViewMgr.Init()")        
        PetFeedViewMgr.Init()
        PerFormanceAnalyzer.End("PetFeedViewMgr.Init()")
    
        PerFormanceAnalyzer.Start("pet.Init()","PetEducationMgr.Init()")        
        PetEducationMgr.Init()
        PerFormanceAnalyzer.End("PetEducationMgr.Init()")

        PerFormanceAnalyzer.Start("pet.Init()","PetChangeNameMgr.Init()")
        PetChangeNameMgr.Init()
		PerFormanceAnalyzer.End("PetChangeNameMgr.Init()")
		
		PerFormanceAnalyzer.Start("pet.Init()","PetQuickViewMgr.Init()")
        PetQuickViewMgr.Init()
		PerFormanceAnalyzer.End("PetQuickViewMgr.Init()")

        PerFormanceAnalyzer.Start("pet.Init()","PetExploreMgr.Init()")    
        PetExploreMgr.Init()
        PerFormanceAnalyzer.End("PetExploreMgr.Init()")
    
        PerFormanceAnalyzer.Start("pet.Init()","PetExploreInfoMgr.Init()")       
        PetExploreInfoMgr.Init()
        PerFormanceAnalyzer.End("PetExploreInfoMgr.Init()")
        
        PerFormanceAnalyzer.Start("pet.Init()","PetExploreRewardsMgr.Init()")  
        PetExploreRewardsMgr.Init()
        PerFormanceAnalyzer.End("PetExploreRewardsMgr.Init()")
        
        PerFormanceAnalyzer.Start("pet.Init()","PetListMgr.Init()") 
        PetListMgr.Init()
        PerFormanceAnalyzer.End("PetListMgr.Init()") 
    
        PerFormanceAnalyzer.Start("pet.Init()","PetFreeListMgr.Init()")     
        PetFreeListMgr.Init()
        PerFormanceAnalyzer.End("PetFreeListMgr.Init()")
     
        PerFormanceAnalyzer.Start("pet.Init()","PetStarUpMgr.Init()")    
        PetStarUpMgr.Init()
     	PerFormanceAnalyzer.End("PetStarUpMgr.Init()")	 
     	PetStarupEffectMgr.Init()	
     	PerFormanceAnalyzer.Start("pet.Init()","PetCommonListViewMgr.Init()")     
     	PetCommonListViewMgr.Init()
     	PetSkillViewMgr.Init()
     	PetEatPetViewMgr.Init()
     	TipsViewMgr.Init()
     	CommonPetBar.Init()
     	BattleManualMgr.Init()
     	PetStarupResetViewMgr.Init()
     	PetQuickTrainViewMgr.Init()
     	PerFormanceAnalyzer.End("PetCommonListViewMgr.Init()")
        PerFormanceAnalyzer.End("pet.Init()") 
    
        PerFormanceAnalyzer.Start("pet.Init()","PetEvolutionEffectMgr.Init()")     
        PetEvolutionEffectMgr.Init()
        PerFormanceAnalyzer.End("PetEvolutionEffectMgr.Init()")
    
        PerFormanceAnalyzer.Start("pet.Init()","PetFCEffectMgr.Init()")     
        PetFCEffectMgr.Init()
        PerFormanceAnalyzer.End("PetFCEffectMgr.Init()")
         
        PerFormanceAnalyzer.Start("GameInit-Init()","other.Init()")   
        PerFormanceAnalyzer.Start("other.Init()","BagViewMgr.Init()")    
        BagViewMgr.Init()
        PerFormanceAnalyzer.End("BagViewMgr.Init()") 
    
        PerFormanceAnalyzer.Start("other.Init()","ActivityViewMgr.Init()")
        ActivityPublicjMgr.Init()
        ActivityViewMgr.Init()
        PerFormanceAnalyzer.End("ActivityViewMgr.Init()")

        PerFormanceAnalyzer.Start("other.Init()","ActivityCapsuleEggView.Init()")    
        ActivityCapsuleEggView.Init()
        PerFormanceAnalyzer.End("ActivityCapsuleEggView.Init()")

        PerFormanceAnalyzer.Start("other.Init()","CollectPetActivityViewMgr.Init()")    
        CollectPetActivityViewMgr.Init()
        PerFormanceAnalyzer.End("CollectPetActivityViewMgr.Init()")
        
        PerFormanceAnalyzer.Start("other.Init()","HalloweenCapsuleEggView.Init()")    
        HalloweenCapsuleEggView.Init()
        PerFormanceAnalyzer.End("HalloweenCapsuleEggView.Init()")
        
        PerFormanceAnalyzer.Start("other.Init()","ActivityHalloweenViewMgr.Init()")    
        ActivityHalloweenViewMgr.Init()
        PerFormanceAnalyzer.End("ActivityHalloweenViewMgr.Init()")

        PerFormanceAnalyzer.Start("other.Init()","RechargeViewMgr.Init()")    
        RechargeViewMgr.Init()
        PerFormanceAnalyzer.End("RechargeViewMgr.Init()")
        
        PerFormanceAnalyzer.Start("other.Init()","NoticeViewMgr.Init()")    
        NoticeViewMgr.Init()
        PerFormanceAnalyzer.End("NoticeViewMgr.Init()") 
        
        PerFormanceAnalyzer.Start("other.Init()","BossFailedMgr.Init()")    
        BossFailedMgr.Init()
        PerFormanceAnalyzer.End("BossFailedMgr.Init()")
        
        PerFormanceAnalyzer.Start("other.Init()","BossTopBarMgr.Init()")    
        BossTopBarMgr.Init()
        PerFormanceAnalyzer.End("BossTopBarMgr.Init()")
	
        PerFormanceAnalyzer.Start("other.Init()","PlayerTimeViewMgr.Init()")    
        PlayerTimeViewMgr.Init()
        PerFormanceAnalyzer.End("PlayerTimeViewMgr.Init()") 

		PerFormanceAnalyzer.Start("other.Init()","SkillBookViewMgr.Init()")     
        SkillBookViewMgr.Init()
        PerFormanceAnalyzer.End("SkillBookViewMgr.Init()") 
     
        PerFormanceAnalyzer.Start("other.Init()","FurnitureViewMgr.Init()")      
        FurnitureViewMgr.Init()
        PerFormanceAnalyzer.End("FurnitureViewMgr.Init()") 
    
        PerFormanceAnalyzer.Start("other.Init()","FurnitureTVMgr.Init()")         
        FurnitureTVMgr.Init()
        PerFormanceAnalyzer.End("FurnitureTVMgr.Init()")
     
        PerFormanceAnalyzer.Start("other.Init()","FurnitureSofaMgr.Init()")      
        FurnitureSofaMgr.Init()
        PerFormanceAnalyzer.End("FurnitureSofaMgr.Init()")
    
        PerFormanceAnalyzer.Start("other.Init()","ItemInfoViewMgr.Init()")    
        ItemInfoViewMgr.Init()
        PerFormanceAnalyzer.End("ItemInfoViewMgr.Init()")
        
        PerFormanceAnalyzer.Start("other.Init()","ItemNumViewMgr.Init()") 
        ItemNumViewMgr.Init()
        PerFormanceAnalyzer.End("ItemNumViewMgr.Init()")
    
        PerFormanceAnalyzer.Start("other.Init()","ShopListMgr.Init()")     
        ShopListMgr.Init()
        PerFormanceAnalyzer.End("ShopListMgr.Init()")
    
        PerFormanceAnalyzer.Start("other.Init()","AuctionMgr.Init()")      
        AuctionMgr.Init()
        PerFormanceAnalyzer.End("AuctionMgr.Init()")
      
        PerFormanceAnalyzer.Start("other.Init()","PurchaseViewMgr.Init()")   
        PurchaseViewMgr.Init()
        PerFormanceAnalyzer.End("PurchaseViewMgr.Init()")

        PerFormanceAnalyzer.Start("other.Init()","PurchaseViewMgr.Init()")   
        VipShopViewMgr.Init()
        PerFormanceAnalyzer.End("PurchaseViewMgr.Init()")
    
        PerFormanceAnalyzer.Start("other.Init()","MailMgr.Init()")       
        MailMgr.Init()
        PerFormanceAnalyzer.End("MailMgr.Init()")
    
        PerFormanceAnalyzer.Start("other.Init()","AwardsListMgr.Init()")    
        AwardsListMgr.Init()
        PerFormanceAnalyzer.End("AwardsListMgr.Init()")
    
        PerFormanceAnalyzer.Start("other.Init()","GachaViewMgr.Init()") 
        GachaViewMgr.Init()
        PerFormanceAnalyzer.End("GachaViewMgr.Init()")
    
        PerFormanceAnalyzer.Start("other.Init()","AuctionMgrNew.Init()")     
        AuctionMgrNew.Init()
        PerFormanceAnalyzer.End("AuctionMgrNew.Init()")
     
        PerFormanceAnalyzer.Start("other.Init()","BuyInfoMgr.Init()")     
        BuyInfoMgr.Init()
        PerFormanceAnalyzer.End("BuyInfoMgr.Init()")
     
        PerFormanceAnalyzer.Start("other.Init()","BuyInfoMgr2.Init()")       
        BuyInfoMgr2.Init()
        PerFormanceAnalyzer.End("BuyInfoMgr2.Init()")

        PerFormanceAnalyzer.Start("other.Init()","BuyItemViewMgr.Init()")       
        BuyItemViewMgr.Init()
        PerFormanceAnalyzer.End("BuyItemViewMgr.Init()")
     
        PerFormanceAnalyzer.Start("other.Init()","SellInfoMgr.Init()")     
        SellInfoMgr.Init()
        PerFormanceAnalyzer.End("SellInfoMgr.Init()")
    
        PerFormanceAnalyzer.Start("other.Init()","AuctionSearch.Init()")      
        AuctionSearch.Init()
    	PerFormanceAnalyzer.End("AuctionSearch.Init()")	 
    	PerFormanceAnalyzer.End("other.Init()")     
    	DropInfoViewMgr.Init()	
    	TrainStoneMgr.Init()
    	BossDmgAwardsMgr.Init()
    	PerFormanceAnalyzer.Start("GameInit-Init()","Confra.Init()")   
    	ConfraListViewMgr.Init()
        ConfraInfoViewMgr.Init()
        PerFormanceAnalyzer.End("Confra.Init()") 
    
        PerFormanceAnalyzer.Start("GameInit-Init()","Chat.Init()")        
        ChatUIMgr.Init() 
        ChatBubbleMgr.Init()
        ChatMsgMgr.Init()
        TownChatMgr.Init()
        PetShareDetail.Init()
        MsgBoardView.Init()
        PerFormanceAnalyzer.End("Chat.Init()") 
        
        PerFormanceAnalyzer.Start("GameInit-Init()","Mission.Init()")     
        NpcDialogueMgr.Init()   
        MissionGuideMgr.Init()
        MissionInfoMgr.Init()
        TownMissionMgr.Init()
        NpcMgr.Init()
        MissionListMgr.Init()
        AchievementListMgr.Init()
        PerFormanceAnalyzer.End("Mission.Init()") 
    
        PerFormanceAnalyzer.Start("GameInit-Init()","Adv.Init()") 
        SearchingMgr.Init()
        SearchingUIMgr.Init()
        AdvStarMgr.Init()
        AdvPetsMgr.Init()
        SearchingFuncMgr.Init()
        AdvCharMgr.Init()
        AdvConfirmMgr.Init()
        StageBossListMgr.Init()
        AdvConfirmMgrNew.Init()
        AdvEnvironmentMgr.Init()
        advResetView.Init()
        PerFormanceAnalyzer.End("Adv.Init()") 
       
        PerFormanceAnalyzer.Start("GameInit-Init()","losttower.Init()")  
        LostTowerInfo.Init()
        LostTowerMgr.Init()
        LtMapOption.Init()
        LtEventOption.Init()
        LtMapNodeMgr.Init()
        LtPlayerMgr.Init()
        LostTowerUIMgr.Init()
        LtFuncMgr.Init()
        LtPetsMgr.Init()
        LtPropMgr.Init()
        LtHealViewMgr.Init()
        LtRankingViewMgr.Init()
        LtExchangeViewMgr.Init()
        LtResetViewMgr.Init()
        LtPickPetViewMgr.Init()
        LtWarFogMgr.Init()
        LtOpenBoxView.Init()
        LtTransferViewMgr.Init()
        LtStepAddView.Init()
        LtExBufferMgr.Init()
        LtChangeFloorView.Init()
        LtRankAwardList.Init()
        PerFormanceAnalyzer.End("losttower.Init()") 
        
        PerFormanceAnalyzer.Start("GameInit-Init()","WorldBoss.Init()")
        WorldBossMapInfo.Init()
        WorldBossInfo.Init()
        PerFormanceAnalyzer.End("WorldBoss.Init()")
        
        -- PerFormanceAnalyzer.Start("GameInit-Init()","PetEquip.Init()")  
        -- PetEquipInfo.Init()
        -- PerFormanceAnalyzer.End("PetEquip.Init()")

        SurviveBattleViewMgr.Init()
        ActivityShopViewMgr.Init()
           
        PerFormanceAnalyzer.Start("GameInit-Init()","Family.Init()")  
        FamilyListViewMgr.Init()
        MyFamilyLstViewMgr.Init()
        FamilyApplyListViewMgr.Init()
        FamilyTransListViewMgr.Init()
        PetHandBook.Init()
        PerFormanceAnalyzer.End("Family.Init()")  
        
        PerFormanceAnalyzer.Start("GameInit-Init()","DungeonMapMgr.Init()")     
        DungeonMapMgr.Init()
        DungeonPlayerMgr.Init()    
        PerFormanceAnalyzer.End("DungeonMapMgr.Init()")  
        GameLogMgr.Init()   
        XFangCunLogSender.Init()
        UIStack.Init()
        PayConfig.Init()
        SevenDayRedPointManager.Init()
        g_userID = -1
        
        PerFormanceAnalyzer.End("GameInit-Init()")
		AndroidFunction.PushLanguage()
        if progressbar~=nil then 
            progressbar:setVisible(true)
            progressbar.progressTimer:setPercentage(90)
        end 
    end

    local funcTable = {funcend,func0,func1,func2,func3,func4,func5,func6,func7,func8,func9,func10,func11,func12,func13,func14,func15,func16,func17,func18,func19,func20,func21,func22,func23,func24,func25,func26,func27,func28,func29,endcallback}
    if isReInit then
        for var=1, #funcTable do
     		funcTable[var]()
     	end

        AllSDKManager.FangCun:restart()
    else
        if device.platform == "ios" then
            -- 默认为主包参数 -"com.joygames.mxm.two"
            local sdkAppId  = "1607130001"
            local sdkAppKey = "031c2aadfb17bfce49324365d0c228cb"
            
            local ok, ret = luaoc.callStaticMethod("iOSsystemFunc", "getBundleIdentifier", nil)
            if ok and ret == "com.alpha.monster2.luotianyi" then
                sdkAppId  = "1610120001"
                sdkAppKey = "0b674d3560004d2aeb85238f89e514e0"
            end
        
            iOSFunction.initSdk({appId=sdkAppId, appKey=sdkAppKey, channelId="1002", channelName="zyzs", isDebug="false"})
                
            iOSFunction.AdTrackingInit({appId="47b12ec842ee4927b84f8a52acfe2e05", channelId="AppStore"})
        end
        UnblockLoader.load(funcTable,"GameInit")
    end
end

return GameInit